org.eclipse.e4.ui.model.application.ui

## Interface MSnippetContainer

All Known Subinterfaces:
  MApplication, MDialog, MTrimmedWindow, MWindow, MWizardDialog

    public interface MSnippetContainer

A representation of the model object 'Snippet Container'.

This provides a collection of model fragments that can be subsequently cloned and inserterd into the model using the EModelService. For example saving a customized Perspective will create a clone and store it in this container.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Snippets`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<MUIElement>` `getSnippets()` Returns the value of the 'Snippets' containment reference list.

### Method Detail

#### getSnippets

    List<MUIElement> getSnippets()

Returns the value of the 'Snippets' containment reference list. The list contents are of type `MUIElement`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Snippets' containment reference list.